'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var header = function header(_ref) {
  var sortable = _ref.sortable;
  var getSortingColumns = _ref.getSortingColumns;
  return function (value, _ref2) {
    var columnIndex = _ref2.columnIndex;

    var sortingColumns = getSortingColumns();
    var sortingColumn = sortingColumns[columnIndex] || {};
    var sortingPosition = sortingColumn.position;

    return _react2.default.createElement(
      'div',
      { style: { display: 'inline' } },
      _react2.default.createElement(
        'span',
        { className: 'value' },
        value
      ),
      {}.hasOwnProperty.call(sortingColumn, 'position') ? _react2.default.createElement(
        'span',
        { className: 'sort-order', style: { marginLeft: '0.5em' } },
        sortingPosition + 1
      ) : null,
      _react2.default.createElement('span', sortable(value, {
        columnIndex: columnIndex
      }))
    );
  };
};

exports.default = header;